Can't launch Tomcat 5

I'm trying to point 4.0.3 to a clean Tomcat installation. However, when I click the run button I get the following error: Cannot find configuration of 'jsp' built-in servlet in C:\Tomcat5\conf\web.xml

However, this is located in the file:
jsp org.apache.jasper.servlet.JspServlet fork false xpoweredBy false 3 ]]>

Any ideas?

2 comments

Hi,

web.xml for 5.0.28 has namespace and IDEA 4.0.3 & 4.5.1 supports them
incorrectly. You can use Tomcat 5.0.24 or wait for 4.5.2.

Cary Beuershausen wrote:

I'm trying to point 4.0.3 to a clean Tomcat installation. However, when I click the run button I get the following error: Cannot find configuration of 'jsp' built-in servlet in C:\Tomcat5\conf\web.xml

However, this is located in the file:
<servlet>
<servlet-name>jsp</servlet-name>
<servlet-class>org.apache.jasper.servlet.JspServlet</servlet-class>
<init-param>
<param-name>fork</param-name>
<param-value>false</param-value>
</init-param>
<init-param>
<param-name>xpoweredBy</param-name>
<param-value>false</param-value>
</init-param>
<load-on-startup>3</load-on-startup>
</servlet>

Any ideas?



--
Best regards,
Maxim Mossienko
IntelliJ Labs / JetBrains Inc.
http://www.intellij.com
"Develop with pleasure!"

0

Thanks, Maxim. 5.0.24 works for me!

0

Please sign in to leave a comment.